View Issue Details

IDProjectCategoryView StatusLast Update
0004554SymmetricDS ProBugpublic2020-09-23 16:35
Reporterelong Assigned Toelong  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.3 
Target Version3.12.4Fixed in Version3.12.4 
Summary0004554: Staging encryption batch errors invalid lines and did not receive ack
DescriptionWhen option for encryption of staging is used (conf/symmetric-server.properties with stream.to.file.encrypt.enabled=true), and multiple threads are reading a common batch from staging, the decryption may not work properly and result in encrypted data being sent as batch data. The client can't handle the encrypted data, so it will log errors about "invalid lines". Since the client doesn't know what the batch number is (it's encrypted), it won't send an acknowledgement, giving the server an error about "did not receive an ack". It may even send partially decrypted batches, resulting in strange batch failures about data in wrong columns, etc.

[corp-000] [PushService] [corp-000-push-events-4] Expected but did not receive an ack for batch 003-92. This could be because the batch is corrupt - removing the batch from staging.
[store-002] - SimpleStagingDataWriter - Found 23 invalid lines that could not be written to a batch
TagsNo tags attached.

Relationships

related to 0004517 closedelong SymmetricDS Stream to file threshold, Illegal State Exception: There is no content to read. Memory buffer was empty 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2020-09-16 19:37 elong New Issue
2020-09-16 19:37 elong Status new => assigned
2020-09-16 19:37 elong Assigned To => elong
2020-09-16 19:37 elong Project SymmetricDS => SymmetricDS Pro
2020-09-21 09:07 elong Status assigned => resolved
2020-09-21 09:07 elong Resolution open => fixed
2020-09-21 09:07 elong Product Version 3.9.0 => 3.12.3
2020-09-21 09:07 elong Fixed in Version => 3.12.4
2020-09-21 09:07 elong Target Version 3.10.13 => 3.12.4
2020-09-21 09:08 elong Relationship added related to 0004517
2020-09-23 16:35 admin Status resolved => closed